// Code generated by "stringer -type=CertificateFilterStatus -trimprefix=CertificateFilterStatus -output zzz_CertificateFilterStatus_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[CertificateFilterStatusInvalid-1]
	_ = x[CertificateFilterStatusRequested-2]
	_ = x[CertificateFilterStatusApproved-3]
	_ = x[CertificateFilterStatusDeclined-4]
	_ = x[CertificateFilterStatusApplied-5]
	_ = x[CertificateFilterStatusIssued-6]
	_ = x[CertificateFilterStatusRevoked-7]
	_ = x[CertificateFilterStatusExpired-8]
	_ = x[CertificateFilterStatusReplaced-9]
	_ = x[CertificateFilterStatusRejected-10]
	_ = x[CertificateFilterStatusUnmanaged-11]
	_ = x[CertificateFilterStatusSAApproved-12]
	_ = x[CertificateFilterStatusInit-13]
}

const _CertificateFilterStatus_name = "InvalidRequestedApprovedDeclinedAppliedIssuedRevokedExpiredReplacedRejectedUnmanagedSAApprovedInit"

var _CertificateFilterStatus_index = [...]uint8{0, 7, 16, 24, 32, 39, 45, 52, 59, 67, 75, 84, 94, 98}

func (i CertificateFilterStatus) String() string {
	i -= 1
	if i < 0 || i >= CertificateFilterStatus(len(_CertificateFilterStatus_index)-1) {
		return "CertificateFilterStatus(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _CertificateFilterStatus_name[_CertificateFilterStatus_index[i]:_CertificateFilterStatus_index[i+1]]
}
